> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kibocommerce.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Sample Request

> Retrieves a sample request.



## OpenAPI

````yaml /openapi/openapi_orderrouting.json get /commerce/orders/orderrouting/api/v1/routing/samplerequest
openapi: 3.0.1
info:
  description: |-
    <div id="overview_ORDERROUTING">
                <h2>ORDER ROUTING</h2>
                <p>Although the <a href="/developer-guides/order-routing">Order Routing
                        interface</a> is the best place to configure order routing rules, some
                    aspects of routing can be managed through REST API calls when convenient.</p>
                <p>Use the <strong>Data List</strong> resource to define the cases for which routing filters are applied.</p>
                <p>Use the <strong>Routing Filter</strong> resource to configure sets of rules that filter out fulfillers that do not match given order criteria.</p>
                <p>Use the <strong>Routing Group</strong> resource to manage and sort location groups specifically in context of routing
                    preferences.</p>
                <p>Use the general <strong>Routing</strong> resource to test your order routing configurations, such as by retrieving a list of eligible fulfillers for a certain order based on set
                    routing rules or obtain a log of order routing decisions.</p>
            </div>
  title: Order Routing
  version: 0.0.1
servers:
  - description: Kibo Base URL
    url: '{baseUrl}/api'
    variables:
      baseUrl:
        default: https://t1000000.sb.usc1.gcp.kibocommerce.com
        description: Base URL
security:
  - bearerAuth: []
tags:
  - description: Classic UI API - Tenant-level routing configuration
    name: OrderRoutingTenant
  - description: Classic UI API - Manage custom data lists
    name: OrderRoutingDataList
  - description: Classic UI API - Order Routing Settings configuration
    name: OrderRoutingSettings
  - description: New UI API - Manage routing scenarios
    name: OrderRoutingScenario
  - description: Classic UI API - Location information
    name: OrderRoutingLocation
  - description: Classic UI API - Environment configuration
    name: OrderRoutingEnvironment
  - description: New UI API - Export and import strategies
    name: OrderRoutingStrategyExport
  - description: Classic UI API - Post-routing actions
    name: OrderRoutingAfterAction
  - description: New UI API - Filter data for routing scenarios
    name: OrderRoutingFilterData
  - description: New UI API - Manage routing strategies
    name: OrderRoutingStrategy
  - description: New UI API - Manage custom data lists for filtering
    name: OrderRoutingCustomDataList
  - description: Classic UI API - Manage routing groups
    name: OrderRoutingGroup
  - description: Classic UI API - Configure sorting rules
    name: OrderRoutingSort
  - description: Classic UI API - Routing testing and debugging
    name: Routing
  - description: New UI API - Estimated delivery date routing
    name: OrderRoutingEDD
  - description: Classic UI API - Site-specific routing configuration
    name: OrderRoutingSite
  - description: Classic UI API - Configure routing filters
    name: OrderRoutingFilter
paths:
  /commerce/orders/orderrouting/api/v1/routing/samplerequest:
    get:
      tags:
        - Routing
      summary: Get Sample Request
      description: Retrieves a sample request.
      parameters: []
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SuggestionRequest'
          description: OK
        '400':
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/APIErrorResponse'
          description: Bad Request
        '403':
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/APIErrorResponse'
          description: Forbidden
        '409':
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/APIErrorResponse'
          description: Conflict
        '410':
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/APIErrorResponse'
          description: Gone
        '500':
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/APIErrorResponse'
          description: Internal Server Error
components:
  schemas:
    SuggestionRequest:
      properties:
        bundlingStrategy:
          enum:
            - ITEM_DEPENDENCY
          type: string
        cartID:
          type: string
        customData:
          additionalProperties:
            type: string
          type: object
        environmentID:
          format: int32
          type: integer
        exclusionListLocationCode:
          items:
            $ref: '#/components/schemas/ExclusionListEntryLocationCode'
          type: array
        extendedCustomerInfo:
          $ref: '#/components/schemas/ExtendedCustomerInfo'
        extendedOrderInfo:
          $ref: '#/components/schemas/ExtendedOrderInfo'
        externalResponseID:
          type: string
        forceSTHConsolidationOnSplitShipments:
          type: boolean
        fraud:
          format: int32
          type: integer
        futureDateLimit:
          format: date-time
          type: string
        futureExclusionListLocationCode:
          items:
            $ref: '#/components/schemas/ExclusionListEntryLocationCode'
          type: array
        inventoryRequestType:
          enum:
            - ALL
            - ANY
            - PARTIAL
            - ALL_STORES
          type: string
        isExpress:
          type: boolean
        items:
          items:
            $ref: '#/components/schemas/OrderRoutingOrderItem'
          type: array
        locationCodeWhiteList:
          items:
            type: string
          type: array
        numShipmentsNotInRequest:
          format: int32
          type: integer
        orderID:
          format: int32
          type: integer
        orderType:
          enum:
            - DIRECTSHIP
            - TRANSFER
            - STH_CONSOLIDATED
            - RETURN
            - DISPOSITION
            - DELIVERY
            - BOPIS
          type: string
        pickupLocationCode:
          type: string
        shippingAddress:
          $ref: '#/components/schemas/OrderRoutingShippingAddress'
        shippingMethod:
          type: string
        sort:
          enum:
            - SUGGESTION_SORT
          type: string
        sthConsolidationLocationOverride:
          type: string
        strategyID:
          type: string
        tags:
          additionalProperties:
            type: string
          type: object
        total:
          type: number
      required:
        - items
        - orderType
        - total
      type: object
    APIErrorResponse:
      properties:
        additionalInfo:
          type: string
        errorMessage:
          type: string
      type: object
    ExclusionListEntryLocationCode:
      properties:
        locationCode:
          type: string
        orderItemID:
          format: int32
          type: integer
      type: object
    ExtendedCustomerInfo:
      properties:
        accountType:
          type: string
        attributes:
          items:
            $ref: '#/components/schemas/OrderRoutingAttribute'
          type: array
        companyOrOrganization:
          type: string
        customerId:
          type: string
        customerSinceDate:
          format: date-time
          type: string
        externalId:
          type: string
        segments:
          items:
            type: string
          type: array
        taxExempt:
          type: boolean
        taxId:
          type: string
      type: object
    ExtendedOrderInfo:
      properties:
        attributes:
          items:
            $ref: '#/components/schemas/OrderRoutingAttribute'
          type: array
        orderId:
          type: string
        type:
          type: string
      type: object
    OrderRoutingOrderItem:
      properties:
        backorderable:
          type: boolean
        condition:
          type: string
        customItemData:
          additionalProperties:
            type: object
          type: object
        extendedProductInfo:
          $ref: '#/components/schemas/ExtendedProductInfo'
        futureOrderable:
          type: boolean
        granularInventoryItem:
          type: boolean
        height:
          format: double
          type: number
        itemDependency:
          format: int32
          type: integer
        length:
          format: double
          type: number
        orderItemID:
          format: int32
          type: integer
        partNumber:
          type: string
        productTitle:
          type: string
        quantity:
          format: int32
          type: integer
        serialNumber:
          type: string
        shippingMethod:
          type: string
        sku:
          type: string
        tags:
          additionalProperties:
            type: string
          type: object
        taxable:
          type: boolean
        upc:
          type: string
        weight:
          format: double
          type: number
        width:
          format: double
          type: number
      type: object
    OrderRoutingShippingAddress:
      properties:
        addressID:
          format: int32
          type: integer
        addressLine1:
          type: string
        city:
          type: string
        countryCode:
          type: string
        customerID:
          format: int32
          type: integer
        latitude:
          format: double
          type: number
        longitude:
          format: double
          type: number
        phone:
          type: string
        postalCode:
          type: string
        state:
          type: string
      type: object
    OrderRoutingAttribute:
      properties:
        attributeFQN:
          type: string
        attributeValues:
          items:
            type: string
          type: array
      type: object
    ExtendedProductInfo:
      properties:
        attributes:
          items:
            $ref: '#/components/schemas/OrderRoutingAttribute'
          type: array
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      description: JWT Authorization header using the Bearer scheme.
      scheme: bearer
      type: http

````